Creates a new job work instruction list.

Request Information

URI Parameters :

None.

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "cb4c01bf-a7a8-4c25-bd0c-89a0dbae9835",
  "jobs_id": "0897d31c-3fe5-41b6-a5c8-8ee6be7d6693",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "0c922d44-ad5b-4fd1-8684-058b587a8e54",
    "_parent_id": "33852fa4-cf4b-4096-878b-085e1822dc61",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "351c4092-c547-46b4-92d1-4706fc5c032c",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "1da9aae8-61e6-4b2a-88e5-975cd9ed9024",
      "_parent_id": "48cb052f-93bc-4ec3-b783-35d605798d1f",
      "root_parent_id": "264bcc18-58c2-4fbe-80c7-317172009908",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "2952879a-bc37-41dc-bb03-32e66e768146",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "d5104fb9-bca7-4d23-84b9-4ad0f03e7b7f",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "6c9784e1-4f5a-4fb0-8c99-98628d220000",
        "_parent_code": "sample string 6",
        "sales_organization_id": "f0711ef6-d018-49b9-b306-e6715c5a42ba",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "9aa8fd48-26b8-45a6-ba29-cc4cc3ad233f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "f7a65458-f0c5-4559-b665-2974180caa78",
          "db_currency_id": "6e440f66-1dd5-49cc-8136-a06d9f015701",
          "db_language_id": "c731fec5-755a-44d9-a28d-bf6963bf1c7c",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
        },
        "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
      },
      "equipment_model_id": "e4ae657b-fc84-4fcf-a602-996e1bd60117",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "d5763138-d372-4ac0-b6c1-7bf39ecf2780",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "d9265713-6d17-4a27-9092-2a2fd615cc17",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "46381046-2b5e-43dc-8cc3-91138e5e9415",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "22966185-dd20-45ee-b70d-153e4e793d81",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "9aa8fd48-26b8-45a6-ba29-cc4cc3ad233f",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "f7a65458-f0c5-4559-b665-2974180caa78",
            "db_currency_id": "6e440f66-1dd5-49cc-8136-a06d9f015701",
            "db_language_id": "c731fec5-755a-44d9-a28d-bf6963bf1c7c",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
          },
          "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
        },
        "equipment_family_id": "eb15fe71-0768-43b1-ba27-31e0ee333b5e",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "d5104fb9-bca7-4d23-84b9-4ad0f03e7b7f",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "6c9784e1-4f5a-4fb0-8c99-98628d220000",
          "_parent_code": "sample string 6",
          "sales_organization_id": "f0711ef6-d018-49b9-b306-e6715c5a42ba",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "9aa8fd48-26b8-45a6-ba29-cc4cc3ad233f",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "f7a65458-f0c5-4559-b665-2974180caa78",
            "db_currency_id": "6e440f66-1dd5-49cc-8136-a06d9f015701",
            "db_language_id": "c731fec5-755a-44d9-a28d-bf6963bf1c7c",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
          },
          "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
        },
        "date_in_production_since": "2026-11-01T03:46:12.8370736+00:00",
        "date_out_of_production_since": "2026-11-01T03:46:12.8370736+00:00",
        "date_end_support": "2026-11-01T03:46:12.8370736+00:00",
        "sales_organization_id": "5731e0cd-5347-4645-bcad-3e0d965edb13",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "9aa8fd48-26b8-45a6-ba29-cc4cc3ad233f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "f7a65458-f0c5-4559-b665-2974180caa78",
          "db_currency_id": "6e440f66-1dd5-49cc-8136-a06d9f015701",
          "db_language_id": "c731fec5-755a-44d9-a28d-bf6963bf1c7c",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00"
      },
      "project_status_id": "9e929cdc-1485-40f2-b1f9-fe03831ba29e",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "00cae5f9-e2f3-4e9e-b84b-47dd0fe32b01",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "553218b0-389a-447d-bcad-eff6adc61891",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "9aa8fd48-26b8-45a6-ba29-cc4cc3ad233f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "f7a65458-f0c5-4559-b665-2974180caa78",
          "db_currency_id": "6e440f66-1dd5-49cc-8136-a06d9f015701",
          "db_language_id": "c731fec5-755a-44d9-a28d-bf6963bf1c7c",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00"
      },
      "company_id": "85a3560e-0d32-4e59-bdb1-5d83fbeabfd3",
      "company_code": "sample string 12",
      "db_address_id": "7c133fb2-a7ac-4fcc-98bf-a1537bd464c8",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "e901b616-1c50-40ac-9c1f-8c59c4d59617",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "a43e34ff-c503-4b26-b2e4-32928ff502e1",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-01T03:46:12.8541131+00:00",
      "date_create": "2026-11-01T03:46:12.8541131+00:00",
      "date_update": "2026-11-01T03:46:12.8541131+00:00",
      "updated_by_user_id": "aacee425-018c-47ec-9332-5f4019604149",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-01T03:46:12.8541131+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-01T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-01T03:46:12.8541131+00:00",
      "date_last_job": "2026-11-01T03:46:12.8541131+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-01T03:46:12.8541131+00:00",
      "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "32b10953-1e61-4a67-8ad8-93573b5c3522",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "f4a6d384-94d9-421a-91e1-ec30d27a4c28",
      "name": "sample string 2",
      "sales_organization_id": "d25c0e9d-75c8-4e5d-8078-ee226217d29e",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "5e4f00a7-dbe6-4a45-8117-fbe41e73173e",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "fb33344c-84bb-40d1-892f-c462aa0535d5",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "d4429400-a6d3-406c-a884-aa4ca1920055",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "9aa8fd48-26b8-45a6-ba29-cc4cc3ad233f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "f7a65458-f0c5-4559-b665-2974180caa78",
        "db_currency_id": "6e440f66-1dd5-49cc-8136-a06d9f015701",
        "db_language_id": "c731fec5-755a-44d9-a28d-bf6963bf1c7c",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00"
    },
    "job_status_id": "7fdc9988-4394-4bdc-a21f-02c2ddb18204",
    "job_status_code": "sample string 11",
    "db_address_id": "931bedd8-5b40-4f36-a357-9c659ab15a85",
    "contact_id": "da786e60-9a08-4750-be92-617e84ba5e45",
    "requested_by_company_id": "595e260f-eded-45cd-8ebb-c1ede02fd8c2",
    "requested_by_contact_id": "afb532b8-3617-4c6e-9351-d91c094910a2",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-01T03:46:12.8541131+00:00",
    "due_date": "2026-11-01T03:46:12.8541131+00:00",
    "date_create": "2026-11-01T03:46:12.8541131+00:00",
    "date_update": "2026-11-01T03:46:12.8541131+00:00",
    "date_closed": "2026-11-01T03:46:12.8541131+00:00",
    "suggested_user_id": "9ef60ae2-82e5-47b1-b983-7e1fdf33aae3",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "e3739489-2272-4d32-ba5b-c7fdaf7116b4",
      "db_language_id": "5dee0954-add6-4b11-aaa0-3e284f218b93",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-01T03:46:12.8541131+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "5955b508-5ced-4c88-8e68-57e4956ff50f",
      "sales_organization": {
        "id": "9aa8fd48-26b8-45a6-ba29-cc4cc3ad233f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "f7a65458-f0c5-4559-b665-2974180caa78",
        "db_currency_id": "6e440f66-1dd5-49cc-8136-a06d9f015701",
        "db_language_id": "c731fec5-755a-44d9-a28d-bf6963bf1c7c",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "d24a0f10-3b16-4e2c-851a-33ee6cb21e1f",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "84409c51-1814-47f5-9804-0814b35f1f72",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "9ccaf0fc-5395-4637-98e1-a772f16357e5"
    },
    "suggested_date_start": "2026-11-01T03:46:12.8541131+00:00",
    "skill_id": "284e2ab4-d328-4097-9f81-5d79bd9059a4",
    "skill_code": "sample string 32",
    "skill": {
      "id": "1ba3558b-df96-49c5-bcc7-f6d95cd619f1",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "749ec082-96ca-42ef-bd5c-35249772d2c8",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "9aa8fd48-26b8-45a6-ba29-cc4cc3ad233f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "f7a65458-f0c5-4559-b665-2974180caa78",
        "db_currency_id": "6e440f66-1dd5-49cc-8136-a06d9f015701",
        "db_language_id": "c731fec5-755a-44d9-a28d-bf6963bf1c7c",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-01T03:46:12.8370736+00:00"
      },
      "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "f4fb096c-d8aa-4c76-a425-6d6e67ba3e01",
    "date_reported_by_company": "2026-11-01T03:46:12.8541131+00:00",
    "id2": 36,
    "company_id": "f4d6f259-fc03-4ec9-8372-d27323082819",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "404c5f0e-e2ef-4979-9db5-0c84d3a54edb",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00"
  },
  "work_instruction_details_id": "6acd6673-b2cc-4e39-8a57-1792610b2e97",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "4fc66ca9-cc20-4cc1-8064-fd5173dbdfd2",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "3ffb0e90-888c-4335-a373-6901f3af385b",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-01T03:46:12.8541131+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "5f0dc709-6389-4632-b1b2-ada6fd447aec",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-01T03:46:12.8541131+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.